function [A,piv]=GAUSSPLU(A)
% [A,piv]=GAUSSPLU(A)
%
% Gauss-LU-Faktorisierung mit partieller Pivotisierung einer Matrix A, 
%
% -----------------------------------------------------------------------------
%
% Input/Output
% ------------
% A            nichtsingulaere Matrix bei input. Unteres Dreeick von A(piv,:)
%              wird ueberschrieben mit L, Diagonale und oberes Dreieck mit U
% 
% Output
% ------
% piv          Vektor mit den Eintraegen 1 bis n in geeigneter Reihenfolge.
%              => A(piv,:)=L*U, wobei L=eye(n)+tril(A(piv,:),-1),
%                                     U=triu(A(piv,:)). 
%


disp('Liebe Studierende, ersetzt bitte im Verzeichnis "routines" im M-File')
disp('"GAUSSPLU.m" die Textmeldung durch den passenden Funktionsrumpf')

disp('<< Taste drcken >>')
pause
